Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.bayes.net.search.ci
Class CISearchAlgorithm

    java.lang.Object
      weka.classifiers.bayes.net.search.SearchAlgorithm
          weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
              weka.classifiers.bayes.net.search.ci.CISearchAlgorithm

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

Direct Known Subclasses:
  ICSSearchAlgorithm

    public class CISearchAlgorithm

extends LocalScoreSearchAlgorithm

The CISearchAlgorithm class supports Bayes net structure search algorithms that are based on conditional independence test (as opposed to for example score based of cross validation based search algorithms).

Version:
  $Revision: 1.4 $
Author:
  Remco Bouckaert (rrb@xm.co.nz)
See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`TAGS_SCORE_TYPE`

Constructor Summary
`CISearchAlgorithm()`

Method Summary

Methods inherited from class weka.classifiers.bayes.net.search.local.LocalScoreSearchAlgorithm
`buildStructure, calcNodeScore, calcScoreWithExtraParent, calcScoreWithMissingParent, getMarkovBlanketClassifier, getOptions, getScoreType, listOptions, logScore, markovBlanketClassifierTipText, scoreTypeTipText, setMarkovBlanketClassifier, setOptions, setScoreType`

Methods inherited from class weka.classifiers.bayes.net.search.SearchAlgorithm
`initAsNaiveBayesTipText, maxNrOfParentsTipText, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CISearchAlgorithm

    public CISearchAlgorithm()

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD